subset.lobo {oce} | R Documentation

## Subset an lobo object

### Description

Subset an lobo (acoustic Doppler profile) object

### Usage

    ## S4 method for signature 'lobo'
    subset(x, subset, ...)

### Arguments

`x` | a `lobo` object.
`subset` | a condition to be applied to the `data` portion of `x`. See ‘Details’.
`...` | ignored.

### Details

This function is somewhat analogous to `subset.data.frame`, except that subsets can only be specified in terms of `time`.

### Value

A new `lobo` object.

### Author(s)

Dan Kelley

### Examples

    library(oce)
    data(lobo)
    plot(lobo)
    plot(subset(lobo, time < mean(range(lobo[['time']]))))

[Package oce version 0.9-18 Index]